Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.encog.mathutil.rbf
Enum RBFEnum

    java.lang.Object
      java.lang.Enum<RBFEnum>
          org.encog.mathutil.rbf.RBFEnum

All Implemented Interfaces:
  Serializable, Comparable<RBFEnum>

    public enum RBFEnum

extends Enum<RBFEnum>

The implemented function types of the RBFs.

Enum Constant Summary
`Gaussian` Gaussian.
`InverseMultiquadric` Inverse Multiquadric.
`MexicanHat` Mexican hat.
`Multiquadric` Multiquadric.

Method Summary
`static RBFEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RBFEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Gaussian

    public static final RBFEnum Gaussian

  Gaussian.

### Multiquadric

    public static final RBFEnum Multiquadric

  Multiquadric.

### InverseMultiquadric

    public static final RBFEnum InverseMultiquadric

  Inverse Multiquadric.

### MexicanHat

    public static final RBFEnum MexicanHat

  Mexican hat.

Method Detail

### values

    public static RBFEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RBFEnum c : RBFEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RBFEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012. All Rights Reserved.